Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZAuthor Class Reference

eZAuthor handles author lists More...

## Public Member Functions
| __construct ()
| setName ( $name)
| name ()
| addAuthor ( $id, $name, $email)
| removeAuthors ( $removeList)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| metaData ()
| decodeXML ( $xmlString)
| xmlString ()

## Protected Attributes
| $Authors
| Contains the Authors. More...
| $AuthorCount
| Contains the author counter value. More...
| $Name

## Detailed Description

eZAuthor handles author lists

$author = new eZAuthor( "Colour" );
$author->addValue( "Red" );
$author->addValue( "Green" );
// Serialize the class to an XML document
$xmlString = $author->xmlString();
eZAuthor
eZAuthor handles author lists
Definition: ezauthor.php:29

Definition at line 28 of file ezauthor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAuthor::__construct | ( |  | ) |

Definition at line 30 of file ezauthor.php.

## Member Function Documentation

## ◆ addAuthor()

eZAuthor::addAuthor | ( |  | $id,
|  |  | $name,
|  |  | $email
| ) |  |

Add an author

Parameters

  int | $id |
  string | $name |
  string | $email |

Definition at line 59 of file ezauthor.php.

Referenced by decodeXML().

## ◆ attribute()

eZAuthor::attribute | ( |  | $name | ) |

Definition at line 111 of file ezauthor.php.

References $Authors, $Name, and eZDebug\writeError().

## ◆ attributes()

eZAuthor::attributes | ( |  | ) |

Definition at line 98 of file ezauthor.php.

Referenced by hasAttribute().

## ◆ decodeXML()

eZAuthor::decodeXML | ( |  | $xmlString | ) |

Will decode an xml string and initialize the eZ author object

Definition at line 162 of file ezauthor.php.

References addAuthor().

## ◆ hasAttribute()

eZAuthor::hasAttribute | ( |  | $name | ) |

Definition at line 106 of file ezauthor.php.

References attributes().

## ◆ metaData()

eZAuthor::metaData | ( |  | ) |

Returns
  a string which contains all the interesting meta data.

The result of this method can passed to the search engine or other parts which work on meta data.

The string will contain all the authors with their name and email.

Example:

'John Doe john@doe.com'

Definition at line 149 of file ezauthor.php.

## ◆ name()

eZAuthor::name | ( |  | ) |

Returns the name of the author set.

Definition at line 47 of file ezauthor.php.

References $Name.

## ◆ removeAuthors()

eZAuthor::removeAuthors | ( |  | $removeList | ) |

Remove authors

Parameters

  array | $removeList | List of id's of authors to remove

Definition at line 82 of file ezauthor.php.

## ◆ setName()

eZAuthor::setName | ( |  | $name | ) |

Sets the name of the author set.

Definition at line 39 of file ezauthor.php.

## ◆ xmlString()

eZAuthor::xmlString | ( |  | ) |

Will return the XML string for this author set.

Definition at line 180 of file ezauthor.php.

## Member Data Documentation

## ◆ $AuthorCount

eZAuthor::$AuthorCount
| protected

Contains the author counter value.

Definition at line 211 of file ezauthor.php.

## ◆ $Authors

eZAuthor::$Authors
| protected

Contains the Authors.

Definition at line 208 of file ezauthor.php.

Referenced by attribute().

## ◆ $Name

eZAuthor::$Name
| protected

Definition at line 214 of file ezauthor.php.

Referenced by attribute(), and name().

The documentation for this class was generated from the following file:

- ezauthor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.